org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ChromiumBreakpointWBAFactory

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ChromiumBreakpointWBAFactory

    public class ChromiumBreakpointWBAFactory
    extends java.lang.Object

An IWorkbenchAdapter factory for ChromiumLineBreakpoints.

### Field Summary

Fields
`protected static java.lang.Object[]` `EMPTY_CHILDREN`

### Constructor Summary

Constructors
Constructor and Description
`ChromiumBreakpointWBAFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_CHILDREN

    protected static final java.lang.Object[] EMPTY_CHILDREN

### Constructor Detail

#### ChromiumBreakpointWBAFactory

    public ChromiumBreakpointWBAFactory()

### Method Detail

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

#### getAdapterList

    public java.lang.Class[] getAdapterList()